Bullet Collision Detection & Physics Library: ProcessVBoundsAction Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ProcessVBoundsAction Struct Reference
Collaboration diagram for ProcessVBoundsAction:
[legend]

## Public Member Functions
| ProcessVBoundsAction (const btAlignedObjectArray< btHeightfieldTerrainShape::Range > &bnd, int *indices)
void | operator() (const GridRaycastState &rs) const

## Public Attributes
const btAlignedObjectArray< btHeightfieldTerrainShape::Range > & | vbounds
int | width
int | length
int | chunkSize
btVector3 | rayBegin
btVector3 | rayEnd
btVector3 | rayDir
int * | m_indices
ProcessTrianglesAction | processTriangles

## Detailed Description

Definition at line 709 of file btHeightfieldTerrainShape.cpp.

## Constructor & Destructor Documentation

## ◆ ProcessVBoundsAction()

ProcessVBoundsAction::ProcessVBoundsAction | ( | const btAlignedObjectArray< btHeightfieldTerrainShape::Range > & | bnd,
|  | int * | indices )
| inline

Definition at line 723 of file btHeightfieldTerrainShape.cpp.

## Member Function Documentation

## ◆ operator()()

void ProcessVBoundsAction::operator() | ( | const GridRaycastState & | rs | ) | const
| inline

Definition at line 728 of file btHeightfieldTerrainShape.cpp.

## Member Data Documentation

## ◆ chunkSize

int ProcessVBoundsAction::chunkSize

Definition at line 714 of file btHeightfieldTerrainShape.cpp.

## ◆ length

int ProcessVBoundsAction::length

Definition at line 713 of file btHeightfieldTerrainShape.cpp.

## ◆ m_indices

int* ProcessVBoundsAction::m_indices

Definition at line 720 of file btHeightfieldTerrainShape.cpp.

## ◆ processTriangles

ProcessTrianglesAction ProcessVBoundsAction::processTriangles

Definition at line 721 of file btHeightfieldTerrainShape.cpp.

## ◆ rayBegin

btVector3 ProcessVBoundsAction::rayBegin

Definition at line 716 of file btHeightfieldTerrainShape.cpp.

## ◆ rayDir

btVector3 ProcessVBoundsAction::rayDir

Definition at line 718 of file btHeightfieldTerrainShape.cpp.

## ◆ rayEnd

btVector3 ProcessVBoundsAction::rayEnd

Definition at line 717 of file btHeightfieldTerrainShape.cpp.

## ◆ vbounds

const btAlignedObjectArray<btHeightfieldTerrainShape::Range>& ProcessVBoundsAction::vbounds

Definition at line 711 of file btHeightfieldTerrainShape.cpp.

## ◆ width

int ProcessVBoundsAction::width

Definition at line 712 of file btHeightfieldTerrainShape.cpp.

The documentation for this struct was generated from the following file:

- btHeightfieldTerrainShape.cpp